%define	name	gtk-sharp2
%define oname gtk-sharp
%define version 2.3.91
%define release 4mdk
%define mono 1.0.2
%define monodir %_prefix/lib/mono

Summary:	C# language binding for the gtk+ toolkit
Name:		%name
Version:	%version
Release:	%release
License:	LGPL
Group:		System/Libraries
URL:		http://gtk-sharp.sourceforge.net/
Source0:	http://www.go-mono.com/sources/gtk-sharp-2.0/%oname-%version.tar.bz2
Patch:		gtk-sharp-2.5.90-gtkhtml-3.8.patch.bz2
BuildRoot:	%_tmppath/%name-buildroot
Requires: glib-sharp2 = %version
BuildRequires:	mono-devel >= %mono
BuildRequires:	libglade2.0-devel
BuildRequires:	libxslt-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	librsvg-devel
BuildRequires:	libgtkhtml-3.8-devel
BuildRequires:	gnome-panel-devel
BuildRequires:	vte-devel
BuildRequires:	monodoc

%description
Gtk-sharp is a C# language binding for the  gtk+ toolkit.

%package -n glib-sharp2
Summary:        C# binding for glib
Group:          System/Libraries
Requires:       mono >= %mono

%description -n glib-sharp2
Glib-sharp is a C# language binding for glib.

%package -n glade-sharp2
Summary:        C# binding for glade
Group:          System/Libraries
Requires: %name = %version

%description -n glade-sharp2
Glade-sharp is a C# language binding for glade.

%package -n gnome-sharp2
Summary:        C# binding for gnome
Group:          System/Libraries
Requires: %name = %version
Requires: glade-sharp2 = %version
#gw we need the right major versions
Requires:       %mklibname gtkhtml-3.8_ 15
Requires:       %mklibname vte 4

%description -n gnome-sharp2
Gnome-sharp is a C# language binding for gnome.

%package doc
Summary:	Documentation for gtk-sharp
Group:		Development/Other
Requires(post): mono-tools >= 1.1.9
Requires(postun): mono-tools >= 1.1.9
Conflicts: monodoc < 1.1.9

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp. 

%prep
rm -rf %buildroot

%setup -q -n %oname-%version
%patch -p1
aclocal
autoconf||autoconf

%build
%configure2_5x
make

%install
rm -rf %buildroot
%makeinstall

rm -rf %buildroot%_libdir/lib*a

%clean
rm -rf %buildroot

%post doc
%_bindir/monodoc --make-index > /dev/null
%postun doc
%_bindir/monodoc --make-index > /dev/null

%files
%defattr(-,root,root)
%monodir/gac/art-sharp
%monodir/gac/atk-sharp
%monodir/gac/gdk-sharp
%monodir/gac/gtk-dotnet
%monodir/gac/gtk-sharp
%monodir/gac/pango-sharp
%monodir/%oname-2.0/art-sharp.dll*
%monodir/%oname-2.0/atk-sharp.dll*
%monodir/%oname-2.0/gdk-sharp.dll*
%monodir/%oname-2.0/gtk-sharp.dll*
%monodir/%oname-2.0/gtk-dotnet.dll*
%monodir/%oname-2.0/pango-sharp.dll*
%_libdir/libgdksharpglue-2.so
%_libdir/pkgconfig/art-sharp-2.0.pc
%_libdir/pkgconfig/gtk-sharp-2.0.pc
%_libdir/pkgconfig/gtk-dotnet-2.0.pc
%_libdir/libgtksharpglue-2.so
%_libdir/libpangosharpglue-2.so

%files -n glib-sharp2
%defattr(-,root,root)
%_bindir/*
%monodir/gac/glib-sharp
%monodir/%oname-2.0/glib-sharp.dll*
%_prefix/lib/%oname-2.0/
%_libdir/libglibsharpglue-2.so
%_datadir/gapi-2.0/
%_libdir/pkgconfig/gapi-2.0.pc

%files -n glade-sharp2
%defattr(-,root,root)
%monodir/gac/glade-sharp
%monodir/%oname-2.0/glade-sharp.dll*
%_libdir/pkgconfig/glade-sharp-2.0.pc
%_libdir/libgladesharpglue-2.so

%files -n gnome-sharp2
%defattr(-,root,root)
%monodir/gac/gconf-sharp
%monodir/gac/gconf-sharp-peditors
%monodir/gac/gnome-sharp
%monodir/gac/gtkhtml-sharp
%monodir/gac/rsvg-sharp
%monodir/gac/vte-sharp
%monodir/gac/gnome-vfs-sharp
%monodir/%oname-2.0/gconf-sharp.dll*
%monodir/%oname-2.0/gconf-sharp-peditors.dll*
%monodir/%oname-2.0/gnome-sharp.dll*
%monodir/%oname-2.0/gtkhtml-sharp.dll*
%monodir/%oname-2.0/rsvg-sharp.dll*
%monodir/%oname-2.0/vte-sharp.dll*
%monodir/%oname-2.0/gnome-vfs-sharp.dll*
%_libdir/pkgconfig/gconf-sharp-2.0.pc
%_libdir/pkgconfig/gnome-vfs-sharp-2.0.pc
%_libdir/pkgconfig/gnome-sharp-2.0.pc
%_libdir/pkgconfig/gtkhtml-sharp-2.0.pc
%_libdir/pkgconfig/rsvg-sharp-2.0.pc
%_libdir/pkgconfig/vte-sharp-2.0.pc
%_libdir/libgnomesharpglue-2.so
%_libdir/libvtesharpglue-2.so

%files doc
%defattr(-,root,root)
%doc ChangeLog README README.generator
#*[^makefile|README]
%doc sample
%_prefix/lib/monodoc/sources/gtk*

%changelog
* Wed Mar  1 2006 Gtz Waschk <waschk@mandriva.org> 2.3.91-4mdk
- move monodoc files to the doc package and fix script deps

* Sun Sep 11 2005 Gtz Waschk <waschk@mandriva.org> 2.3.91-3mdk
- fix post script

* Sun Sep 11 2005 Gtz Waschk <waschk@mandriva.org> 2.3.91-2mdk
- update file list
- conflicts with old monodoc
- add monodoc to the post script

* Sat Sep 10 2005 Gtz Waschk <waschk@mandriva.org> 2.3.91-1mdk
- add the docs
- New release 2.3.91

* Thu Aug 25 2005 Gtz Waschk <waschk@mandriva.org> 2.3.90-1mdk
- bump gtkhtml deps
- remove gda and gnome-db
- New release 2.3.90

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 1.9.5-2mdk
- fix deps, mono-find-requires isn't enough

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 1.9.5-1mdk
- update file list
- New release 1.9.5

* Mon May 09 2005 Gtz Waschk <waschk@mandriva.org> 1.9.3.1-1mdk
- New release 1.9.3.1

* Mon May  2 2005 Gtz Waschk <waschk@mandriva.org> 1.9.3-2mdk
- fix build for x86_64

* Fri Apr 22 2005 Gtz Waschk <waschk@mandriva.org> 1.9.3-1mdk
- bump gtkhtml deps
- New release 1.9.3

* Wed Mar  9 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.9.2-1mdk
- add dotnet dll
- remove panel files, merged into the gnome dll
- New release 1.9.2

* Mon Dec 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.9.1-1mdk
- spec fixes
- New release 1.9.1

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.9.0-1mdk
- initial package

* Fri Nov  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- fix URL
- New release 1.0.4

* Tue Sep 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- drop patch, back to gtkhtml-3.0
- New release 1.0.2

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-4mdk
- rebuild for new rpm

* Sun Jul 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk
- Add conflicts to ease upgrade from 10.0

* Tue Jul  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- update gtkhtml patch and deps

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- remove docs
- fix source URL
- new version

* Mon Jun 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.98-2mdk
- fix doc package group

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.98-1mdk
- add libpangosharpglue to libgtksharpglue package
- add installed xml docs
- fix installation
- requires new mono
- fix groups
- new version

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-6mdk
- fix devel deps again (no need for vte and gtkhtml, they are only dlopened)
- update patch to really use new gtkhtml

* Sat Jun  5 2004 Marcel Pol <mpol@mandrake.org> 0.93-5mdk
- manually add requires for devel packages
- build against new gtkhtml

* Fri Jun  4 2004 Marcel Pol <mpol@mandrake.org> 0.93-4mdk
- split package
- place gapi files in glib-sharp

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-3mdk
- add vte deps (thanks Quel Qun)
- use libgtkhtml-3.1_9

* Thu Jun  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-2mdk
- fix deps

* Wed Jun  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-1mdk
- drop perl files
- requires new mono
- new version

* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91.1-1mdk
- fix file list
- requires new mono
- buildrequires monodoc
- add source URL
- new version

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.18-2mdk
- rebuild for new croco

* Sat Apr  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.18-1mdk
- fix doc file listing
- new version

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-2mdk
- Rebuild against latest gtkhtml/gal

* Mon Mar  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.17-1mdk
- fix some rpmlint warnings
- fix buildrequires
- new version

* Sun Feb 08 2004 Marcel Pol <mpol@mandrake.org> 0.16-1mdk
- 0.16
- don't run libtoolize
- add more devel dependencies

* Sun Feb 01 2004 Marcel Pol <mpol@mandrake.org> 0.15-2mdk
- devel package requires gtk2-devel

* Sun Jan 11 2004 Marcel Pol <mpol@mandrake.org> 0.15-1mdk
- 0.15

* Sun Dec 28 2003 Marcel Pol <mpol@mandrake.org> 0.14-2mdk
- build gtkhtml-sharp.dll

* Sat Dec 27 2003 Marcel Pol <mpol@mandrake.org> 0.14-1mdk
- from Quel Qun <kelk1@hotmail.com>
    - 0.14

* Sun Sep 07 2003 Marcel Pol <mpol@gmx.net> 0.11-0.20030831.3mdk
- use saner provides for devel package

* Fri Sep 05 2003 Marcel Pol <mpol@gmx.net> 0.11-0.20030831.2mdk
- add provides

* Thu Sep 04 2003 Marcel Pol <mpol@gmx.net> 0.11-0.20030831.1mdk
- cvs 20030831 for monodoc
- buildrequires

* Tue Aug 19 2003 Marcel Pol <mpol@gmx.net> 0.10-2mdk
- rebuild

* Sun Jun 15 2003 Marcel Pol <mpol@gmx.net> 0.10-1mdk
- 0.10

* Sat Jun 07 2003 Marcel Pol <mpol@gmx.net> 0.9-1mdk
- 0.9

* Thu Apr 17 2003 Marcel Pol <mpol@gmx.net> 0.8-4mdk
- libgtksharpglue subpackages
- used buildrequires from Andi Payn

* Tue Mar 18 2003 Quel Qun <kelk1@hotmail.com> 0.8-3mdk
- Rebuild with gda & gnomedb v 0.11.0.
* Mon Mar 10 2003 Quel Qun <kelk1@hotmail.com> 0.8-2mdk
- Rebuilt with mcs-0.23-1mdk.
- BuildRequires gtksourceview-devel automake.
* Thu Mar 06 2003 Quel Qun <kelk1@hotmail.com> 0.8-1mdk
- New version.
* Sun Dec 15 2002 Quel Qun <kelk1@hotmail.com> 0.6-3mdk
- Extracts the gnometutorial and sample directories.
* Sat Dec 14 2002 Quel Qun <kelk1@hotmail.com> 0.6-2mdk
- Add Buildrequires on recent libgda2 and libgnomedb2.
- Patched Makefiles to fix the install section.
* Thu Dec 12 2002 Quel Qun <kelk1@hotmail.com> 0.6-1mdk
- First Mandrake rpm.
